## acpi-call 1.2.2

=== Makefile ===
obj-m := acpi_call.o

KVER ?= $(shell uname -r)
KDIR ?= /lib/modules/$(KVER)/build
VERSION ?= $(shell cat VERSION)

default:
	$(MAKE) -C $(KDIR) M=$(CURDIR) modules

clean:
	$(MAKE) -C $(KDIR) M=$(CURDIR) clean

install:
	$(MAKE) -C $(KDIR) M=$(CURDIR) modules_install

load:
	-/sbin/rmmod acpi_call
	/sbin/insmod acpi_call.ko

dkms.conf: dkms.conf.in
	sed "s/@@VERSION@@/$(VERSION)/" $^ > $@

dkms-add: dkms.conf
	/usr/sbin/dkms add $(CURDIR)

dkms-build: dkms.conf
	/usr/sbin/dkms build acpi_call/$(VERSION)

dkms-install: dkms.conf
	/usr/sbin/dkms install acpi_call/$(VERSION)

dkms-remove: dkms.conf
	/usr/sbin/dkms remove acpi_call/$(VERSION) --all

modprobe-install:
	modprobe acpi_call

modprobe-remove:
	modprobe -r acpi_call

dev: modprobe-remove dkms-remove dkms-add dkms-build dkms-install modprobe-install

## acpi-call 1.1.0

=== debian/changelog ===
acpi-call (1.1.0-6) unstable; urgency=medium

  * [ce9dd75] Fix patches order (#3 was applied first)
  * [01a2d16] Add patch to fix build on Linux 5.6.
    Thanks to Nikita Knutov for the patch, Thomas Koch and Gard Spreemann for
    pointing me to the patch (Closes: #959364, #959729)
  * [6ca6f81] Bump Standards-Version to 4.5.0
  * [f14a922] Bump debhelper compat to 12
  * [93b030a] Silence lintian about spelling error (false positive)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 07 May 2020 14:58:58 +0200

acpi-call (1.1.0-5) unstable; urgency=medium

  * [302afec] Migrate project to Salsa
  * [a412748] Use secure copyright file specification URI.
    Thanks to Jelmer Vernooĳ
  * [c633d47] Add patch to fix memory leak.
    Thanks to Colin Ian King for the patch (Closes: #929316) (LP: #1829883)
  * [8f5f753] Don't build module when ACPI is disabled.
    Thanks to Seth Forshee, Thadeu Lima de Souza Cascardo, Michael Jeanson and
    others for ideas and testing (LP: #1830040)
  * [757be2b] Bump Standards-Version to 4.3.0
  * [1e7e83a] Override lintian warning about missing test suite

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 31 May 2019 17:33:13 +0200

acpi-call (1.1.0-4) unstable; urgency=low

  * [45b90c6] Fix build failure on 4.12.
    Include the correct header for copy_from_user prototype
    Thanks to Colin Ian King for the patch (Closes: #868110)
    (LP: #1700783, #1705678)
  * [ba63573] Bump Standards-Version to 4.0.0, no changes needed
  * [7640fff] Bump debhelper compat to 10
  * [ea4dd52] Drop build-dependency on dpkg-dev

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 24 Jul 2017 20:58:44 +0200

acpi-call (1.1.0-3) unstable; urgency=low

  * Update Vcs-* fields
  * Update debian/watch file
  * Add debian/gbp.conf
  * Bump Standards-Version to 3.9.7, no changes required

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 21 Mar 2016 18:07:27 +0100

acpi-call (1.1.0-2) unstable; urgency=medium

  * Add patch to fix compatibility with Linux 3.17 (Closes: #762281)
  * Add Vcs-Browser and Vcs-Git fields to debian/control

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 21 Sep 2014 03:43:48 +0200

acpi-call (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #760338)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 03 Sep 2014 04:30:34 +0200

=== debian/control ===
Source: acpi-call
Section: kernel
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Build-Depends: debhelper-compat (= 12), dkms
Standards-Version: 4.5.0
Homepage: https://github.com/mkottman/acpi_call
Vcs-Browser: https://salsa.debian.org/moonsweep-guest/acpi-call
Vcs-Git: https://salsa.debian.org/moonsweep-guest/acpi-call.git

Package: acpi-call-dkms
Architecture: all
Depends: ${misc:Depends}
Provides: acpi-call
Description: Kernel module that enables you to call ACPI methods
 Kernel module that enables you to call ACPI methods by writing the method
 name followed by arguments to /proc/acpi/call.
 .
 It allows you to tamper with your system and should be used with caution.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# main packaging script based on dh7 syntax
%:
	dh $@ --with dkms

override_dh_auto_clean:

override_dh_auto_build:

override_dh_auto_install:

override_dh_clean:
	rm -f debian/install
	dh_clean

override_dh_install:
	sed -e "s/DEB_VERSION_UPSTREAM/$(DEB_VERSION_UPSTREAM)/g" debian/install.in > debian/install
	dh_install

override_dh_dkms:
	dh_dkms -V $(DEB_VERSION_UPSTREAM)

## acpi-call 1.2.2

=== debian/changelog ===
acpi-call (1.2.2-2.1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * Use experimental dkms feature BUILD_EXCLUSIVE_CONFIG="CONFIG_ACPI" and
    reduce noise about ACPI being disabled on no longer installed kernels.
    (Closes: #992491)
  * Declare Rules-Requires-Root: no.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Feb 2023 16:06:08 +0100

acpi-call (1.2.2-2) unstable; urgency=medium

  [ Raphaël Halimi ]
  * [e8936b1] debian/gbp.conf: add pristine-tar = true

  [ Andreas Beckmann ]
  * [9398566] Switch to dh-sequence-dkms
  * [4a901fe] Declare Testsuite: autopkgtest-pkg-dkms

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 19 Jun 2022 12:57:48 +0200

acpi-call (1.2.2-1) unstable; urgency=medium

  * [e4c61df] Remove '-guest' from Vcs-* URLs
  * [022a8aa] Use nix-community repository as new upstream (Closes: #989384)
  * [0776fac] New upstream version 1.2.2 (LP: #1953261, #1901452)
  * [6ddc66d] Remove all patches (already in new upstream)
  * [3eb35a3] Bump Standards-Version to 4.6.0
  * [2808ee6] Bump debhelper compat to 13
  * [2ea6bde] Drop unused lintian overrides
      - testsuite-autopkgtest-missing
      - spelling-error-in-changelog

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 02 Feb 2022 17:07:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: kernel
 Priority: optional
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
-Build-Depends: debhelper-compat (= 12), dkms
-Standards-Version: 4.5.0
-Homepage: https://github.com/mkottman/acpi_call
-Vcs-Browser: https://salsa.debian.org/moonsweep-guest/acpi-call
-Vcs-Git: https://salsa.debian.org/moonsweep-guest/acpi-call.git
+Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
+Homepage: https://github.com/nix-community/acpi_call
+Vcs-Browser: https://salsa.debian.org/moonsweep/acpi-call
+Vcs-Git: https://salsa.debian.org/moonsweep/acpi-call.git
+Testsuite: autopkgtest-pkg-dkms
 
 Package: acpi-call-dkms
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with dkms
+	dh $@
 
 override_dh_auto_clean:

=== debian/watch ===
# Watch file
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# GitHub hosted project
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%acpi_call-$1.tar.gz%" https://github.com/nix-community/acpi_call/tags (?:.*?/)?v(\d[\d.]*)\.tar\.gz debian uupdate
